<?php

/*

'**************************************************************************************************

' 软件名称: 黑色幻想舞曲管理系统CMS2.0

' 版本编号: hshxsdj 2.0

' 官方网站: http://www.hshxs.com

' 官方论坛：http://bbs.hshxs.com

' 版权所有: 黑色幻想开发团队    噬己翼(QQ:532917920)

' 郑重声明:

'    1、任何个人或组织不得在未经授权的情况下删除、修改、拷贝本软件及其他副本上一切关于版权的信息；

'    2、黑色幻想网络事业部保留此软件的法律追究权利

'**************************************************************************************************

*/

require_once("../../include/config.inc.php");

include "../../include/label.php";

include "../admin_loginstate.php";

set_time_limit(0);

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>

<meta http-equiv="Content-Type" content="text/html; charset=gb2312" />

<link type="text/css" href="../images/style.css" rel="stylesheet" />

<link type="text/css" href="../images/alerts.css" rel="stylesheet" media="screen">

<script type="text/javascript" language="javascript">var tentpath='<?php echo S_SitePath?>';</script>

<script language="javascript" src="../js/jquery.js"></script>

<script language="javascript" src="../js/alerts.js"></script>

</head>

<body>

<?php

SystemPer(11);

$type=SafeRequest("type","get");

if(S_Webmode==1){die("<br><font color=red>当前网站为动态模式,不能生成!!</font>");}

if($type=="index"){

	if(file_exists(_CHSHDJ_ROOT_.S_Templateurl."/index.html")){

		  $Mark_Text=@file_get_contents(_CHSHDJ_ROOT_.S_Templateurl."/index.html");

		  $Mark_Text=topandbottom($Mark_Text);

		  $Mark_Text=Common_Mark($Mark_Text,0);

		  fwrite(fopen("../../index.html","wb"),$Mark_Text);#$filename是静态页面的文件名

		  echo "<font style=font-size:12pt;><a href=../../index.html target=_blank>".S_SiteDomain.S_SitePath."index.html</a><br/><br/>网站首页已成功生成．．．</font>";

		}

	else{

		die("出错了，首页模板文件不存在！");

		}	

	

	}

elseif($type=="map"){

	if(file_exists(_CHSHDJ_ROOT_.S_Templateurl."/allmap.html")){

		  $Mark_Text=@file_get_contents(_CHSHDJ_ROOT_.S_Templateurl."/allmap.html");

		  $Mark_Text=topandbottom($Mark_Text);

		  $Mark_Text=Common_Mark($Mark_Text,0);

		  fwrite(fopen("../../allmap.html","wb"),$Mark_Text);#$filename是静态页面的文件名

		  echo "<font style=font-size:12pt;><a href=../../allmap.html target=_blank>".S_SiteDomain.S_SitePath."allmap.html</a><br/><br>网站地图已成功生成．．．</font>";

		}

	else{

		die("出错了，地图模板文件不存在！");

		}		

	}	

?>